MGASA-2021-0137 - Updated git packages fix a security vulnerability

Publication date: 14 Mar 2021
URL: https://advisories.mageia.org/MGASA-2021-0137.html
Type: security
Affected Mageia releases: 7, 8
CVE: CVE-2021-21300

On case-insensitive file systems with support for symbolic links, if Git is
configured globally to apply delay-capable clean/smudge filters (such as Git
LFS), Git could be fooled into running remote code during a clone
(CVE-2021-21300).

References:
- https://bugs.mageia.org/show_bug.cgi?id=28566
- https://lkml.org/lkml/2021/3/9/995
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-21300

SRPMS:
- 8/core/git-2.30.2-1.mga8
- 7/core/git-2.21.4-1.mga7